Bug 1470164 - mysqld --initialize fails without any explanation
mysqld --initialize fails without any explanation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: community-mysql (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Schorm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 09:25 EDT by Remi Collet
Modified: 2017-09-13 16:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-13 16:40:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2017-07-12 09:25:19 EDT
It was working a few time ago...

Trying to bootstrap a MySQL server during a package build, to run test suite, I run (so under an unprivileged account)

%{_libexecdir}/mysqld --datadir=$PWD/data --initialize

This fail without any explanation (works when run as root)
Comment 1 Terje Røsten 2017-07-16 14:53:27 EDT
Hi Remi,

I created upstream bug for this:
 https://bugs.mysql.com/bug.php?id=87087
Comment 2 Michal Schorm 2017-09-13 16:40:42 EDT
Based on the MySQL bug report, this issue should be fixed in 5.7.20 version.

Note You need to log in before you can comment on or make changes to this bug.